第3章 Debian リリース

# 第3章 Debian リリース

Debian 0.01 から 0.90 まで (1993 年 8 月 - 12 月)

Debian 0.91 (1994 年 1 月): このリリースは、パッケージのインストールおよび削除ができる単純なパッケージシステムを備えていました。Debian プロジェクトは、この時点で数十人規模に成長していました。

Debian 0.93R5 (1995 年 3 月): この時点までに、各パッケージに対する責任が開発者に明確に割り当てられました。そして基本システムのインストール後は、パッケージマネージャ (dpkg) がパッケージのインストールに使われました。

Debian 0.93R6 (1995 年 11 月): dselect が登場しました。a.out バイナリ形式を使う最後の Debian リリースです。約 60 名の開発者がいました。最初の master.debian.org サーバが Bdale Garbee さんによって構築され、0.93R6 リリースと並行して HP によって運用されました。Debian の開発者が各リリースを構築するための特定のマスターサーバを設置することは、Debian のミラーネットワークの編成に直結しました。また今日のプロジェクトを管理するのに使われているポリシーや手続きの多くを開発することにも間接的につながりました。

リリースされなかった Debian 1.0: CD ベンダの InfoMagic 社が、Debian の開発版リリースを前ぶれもなく出荷し、1.0 と称しました。1995 年 12 月 11 日、Debian と InfoMagic 社は共同で当該リリースが誤ったものであると発表し、Bruce Perens さんは次のように説明しました。すなわち "Debian 1.0" として"InfoMagic Linux Developer's Resource 5-CD Set November 1995" に収録されたデータは Debian の 1.0 リリースではなく、部分的に ELF 形式となっているだけの初期開発版であること。そしておそらく起動せず、動作も不安定で、リリースされた Debian システムの品質を表わしてはいないことなどです。未熟なCD 版と実際の Debian リリースとの混乱を避けるため、Debian プロジェクトは次期リリースを "Debian 1.1" と改名しました。CD 上の未熟な Debian 1.0 は不完全であり、使うべきではありません。

1995 年の終わり頃、master.debian.org の運用が HP から i-Connect.Net に移りました。i-Connect.Net の創立者である Michael Neuffer さんと Shimon Shapiro さんが、master を自身のハードウェアで 1 年余りにわたって運用しました。この期間、現在の新規メンテナプロセスに相当する機能を始めとして多数のサービスを Debian に提供していただき、また、初期の Debian ミラーネットワークの発展に多大なご支援をいただきました。

Debian 1.1 Buzz (1996 年 6 月 17 日): コードネームがついた最初の Debian リリースです。これ以降の全リリースと同じく、映画 Toy Story シリーズ中のキャラクターに由来します... この場合は Buzz Lightyear です。この頃には、Bruce Perens さんが Ian Murdock さんからプロジェクトリーダー職を引きついでおり、Bruce さんはこの映画を作った Pixar 社に勤めていました。このリリースは完全に ELF 形式で、Linux カーネル 2.0 を使っており、474 個のパッケージを収録していました。

Debian 1.2 Rex (1996 年 12 月 12 日): 映画 Toy Story に登場するプラスチックの恐竜から名付けられました。120 人の開発者によって保守される 848 個のパッケージから構成されていました。

Debian 1.3 Bo (1997 年 7 月 5 日): 女羊飼いである Bo Peep から名付けられました。200 人の開発者によって保守される 974 個のパッケージから構成されていました。

Debian 2.0 Hamm (1998 年 7 月 24 日): 映画 Toy Story に登場する豚の貯金箱から名付けられました。複数のアーキテクチャに対応した最初の Debian リリースで、Motorola 68000 シリーズアーキテクチャ対応が加わりました。Ian Jackson さんをプロジェクトリーダーとし、libc6 への移行を果たしました。そして 400 人以上の開発者による 1500 個以上のパッケージから構成されていました。

Debian 2.1 Slink (1999 年 3 月 9 日): 映画に登場するこそこそした犬から名付けられました。さらに 2 種類のアーキテクチャが追加されました。Alpha と SPARC です。Wichert Akkerman さんをプロジェクトリーダとし、約 2250 個のパッケージから構成されていました。公式のセットでは CD 2 枚を必要としました。主要な技術革新は、新しいパッケージ管理インターフェイスである apt の導入でした。apt は幅広く真似されましたが、Debian が成長していくことから生じる問題に取り組み、オープンソースオペレーティングシステム上でのパッケージの取得とインストールに新しいパラダイムを確立しました。

Debian 2.2 Potato (2000 年 8 月 15 日): 映画 Toy Story に登場する「Mr Potato Head」から名付けられました。PowerPC と ARM アーキテクチャへの対応が追加されました。Wichert さんが引き続きプロジェクトリーダを務め、450 人以上の Debian 開発者によって保守される 2600 個以上のソースパッケージを元にした、3900 個以上のバイナリパッケージから構成されていました。

Debian 3.0 Woody (2002 年 7 月 19 日): 映画 Toy Story の主人公であるカウボーイの「Woody」から名付けられました。さらに多くのアーキテクチャ対応が追加されており、その内訳は IA-64, HP PA-RISC, MIPS (ビッグエンディアン), MIPS (リトルエンディアン)、S/390 などです。また、米国内で緩和された輸出制限のために暗号化ソフトウェアを収録した最初のリリースであり、今では Qt とのライセンス問題が解決している KDE を最初に収録したリリースでもあります。最近までプロジェクトリーダーを務めた Bdale Garbee さんと 900 人以上の Debian 開発者により、8,500 個以上のパッケージが収録され、公式のセットは 7 枚のバイナリ CD で構成されていました。

Debian 3.1 Sarge (2005 年 6 月 6 日): 緑色をしたプラスチック兵士の軍曹から名付けられました。対応アーキテクチャの新規追加はありませんが、非公式な AMD64 移植版が同時に発表され、新しく生まれた Alioth プロジェクトが運用するサイトを通じて配布されました。新しいインストーラである debian-installer を備えています。これはハードウェアの自動検出や無人インストールといった機能を備えたモジュール式のソフトウェアで、30 ヶ国以上の言語に完全に翻訳されてリリースされました。また、完全なオフィススイートである OpenOffice.org を収録した最初のリリースです。プロジェクトリーダーに Branden Robinson さんが選出された直後でした。900 人以上の Debian 開発者により、およそ 15,400 個以上のパッケージが収録され、公式のセットは 14 枚のバイナリ CD で構成されていました。

Debian 4.0 Etch (2007 年 4 月 8 日): 映画のおもちゃのお絵かきボードから名付けられました。アーキテクチャが 1 つこのリリースで追加されました: AMD64 です。そして、m68k の公式サポートが打ち切られました。引き続き debian-installer を使っていましたが、このリリースではグラフィカルインストーラ、暗号技術によるダウンロード済みパッケージの検証、より柔軟なパーティショニング (暗号化パーティションもサポート)、メール設定の簡略化、より柔軟なデスクトップ選択機能、単純にしつつ改良を加えたローカライゼーション、レスキューモードなどの新モードの追加がありました。以前 2 つあったインストールフェーズがついに統合され、インストール作業中のマシンの再起動が不要になりました。この新インストーラのグラフィカル版では文字結合機能や複雑な言語を使用するスクリプトもサポートしたので、50 を超える言語への翻訳が利用できるようになりました。プロジェクトリーダーに Sam Hocevar さんがちょうどこの日選出され、また、1030 人以上の Debian 開発者がいました。およそ 18,000 個の パッケージが収録され、公式のセットは 20 枚のバイナリ CD (3 枚の DVD) で構成されて いました。さらに、デフォルトのデスクトップ環境とは別のものをインストールできる 2 枚のバイナリ CD が利用できるようになりました。

Debian 5.0 Lenny (2009 年 2 月): 映画 Toy Story のぜんまい仕掛けの双眼鏡から名付けられました。アーキテクチャが 1 つこのリリースで追加されました: ARM EABI (armel) で、新しい ARM プロセッサ向けサポートを提供します。そして古い ARM 移植版 (arm) は廃止予定となりました。 m68k 移植版はこのリリースに含まれていませんが、まだ不安定版ディストリビューションでは提供されていました。FreeBSD 移植版は含まれませんでした。この移植版の品質を高める作業のほとんどは終えたものの、このリリースの選定要件をまだ満たしませんでした。

このリリースでは、多くのストレージデバイスで使われている Marvell 製 Orion プラットフォームへのサポートを追加したことで、サポートする小型機器が増加しました。また、いくつかのネットブックのサポートも提供しました。組み込み ARM システム向けにいくらかの新しいビルドツールが追加され、Debian パッケージをクロスビルドし圧縮できるようになりました。また、様々なベンダーのネットブックがサポートされるようになり、このディストリビューションは比較的性能の低いコンピュータに、より適応するソフトウェアを提供しました。

また、このリリースはフリーなバージョンの Sun 製 Java テクノロジを提供する最初のリリースで、Java アプリケーションが main セクションで提供できるようになりました。

Debian 6.0 Squeeze (2011 年 2 月): 緑色をした 3 つ目のエイリアンから名付けられました。

このリリースは 2010 年 8 月 6 日、多くの Debian 開発者が第 10 回 DebConf でニューヨーク市に集まっているときにフリーズされました。

2 つのアーキテクチャ (alpha と hppa) が打ち切られましたが、新たな FreeBSD 移植版 (kfreebsd-i386 と kfreebsd-amd64) アーキテクチャ 2 つがテクノロジープレビューとして利用できるようになりました。カーネルとユーザランドのツールや (先進的なデスクトップの機能はまだないものの) 一般的なサーバソフトウェアを収録しています。これは Linux ディストリビューションが Linux ではないカーネルの利用も行えるよう拡張された、初めての例でした。

この新リリースでは依存関係ベースの起動シーケンスを導入し、init スクリプトを並列に処理できるようになり、システムの起動を高速化しました。

Debian 6 は長期サポート (LTS) の恩恵を受けることができる最初のリリースですべての安定版 Debian リリースを最低5年間以上にする計画を打ち出しました。Debian LTS は Debian サポートチームによって保全されませんでしたが有志や企業の厚意により成り立ちました。 Debian 6 は amd64 と i386 アーキテクチャにおいては2016年2月までサポートされました。

Debian 7.0 Wheezy (2013 年 5 月): 赤い蝶ネクタイを締めたゴム製のおもちゃのペンギンから名付けられました。

このリリースは 2012 年 7 月 30 日、多くの Debian 開発者が第 12 回 DebConf でニカラグアのマナグアに集まっているときにフリーズされました。

アーキテクチャが1つ (armhf) このリリースで追加されました。また、このリリースでは複数アーキテクチャのサポートが導入され、ユーザが複数のアーキテクチャのパッケージを同一のマシンにインストールできるようになりました。インストールプロセスの改善で、視覚的に不自由な人がソフトウェアによる音声案内を利用してシステムをインストールできるように初めてなりました。

UEFI ファームウェアを採用した機器でのインストール及びブートをサポートする最初のリリースにもなりました。

Debian 7 は i386, amd64, armel と armhf アーキテクチャで 2018年5月まで長期サポート (LTS) が行われました。

Debian 8.0 Jessie (2015 年 4 月): Toy Story 2 で初めて登場したカウガールの人形から名付けられました。

これは systemd init が既定のシステム管理ソフトウェアとして組み込まれた初めてのリリースです。 arm64 と ppc64el のアーキテクチャが新たに追加され、s390 は s390x に置き換えられ、 ia64 と sparc は打ち切られました。 Sparc は、16年間も Debian のサポートするアーキテクチャとして愛されてきましたが、開発者の不在により残念ながら維持できなくなりました。

これリリースでは、大幅なセキュリティの改善が行われました、それらは新しいカーネルのセキュリティ脆弱性 (symlink attacks) を無効にする機能や、セキュリティサポート下にあるパッケージを判別する新たな方法や、強化されたコンパイラフラッグを使用して組み上げられたパッケージや、サブシステムに再起動の必要性があるときそれを認識する機構 (needrestart) がシステム更新時に通知するようになりました。

Debian 8 は i386, amd64, armel と armhf で2020年6月まで長期サポート (LTS)されました

Debian 9 Stretch (2017 年 6 月): Toy Story 3 で登場した吸盤付きの長い8本の足を持つタコの人形から名付けられました。

このリリースは、2017年2月7日に機能固定化されました。

Debian 9は、2015年12月28日に亡くなった創設者 Ian Murdock 氏に捧げられました。

Powerpc アーキテクチャのサポートはこのリリースで打ち切られました、その代わりにmips64el が追加されました。 このリリースから、デバッグパッケージという新しいリポジトリがデバッグシンボル付きのパッケージと共にアーカイブに追加されました。Firefox と Thunderbird が Debian に帰ってきました、Iceweasel と Icedove が商標の関係上使えなかった期間は10年間に及びます。 再生可能なビルドプロジェクトに感謝します、Debian 9 を含む 90% を超えるソースパッケージはビット単位で同じバイナリパッケージをビルドすることができます。

Debian 9 は i386, amd64, armel と armhf アーキテクチャで 2022年6月まで長期サポート (LTS) が行われました。

Debian 10 Buster (2019年7月): は Toy Story に登場する Andy のペットの名前です。 Buster はクリスマスプレゼントとして Andy に贈られました。

このリリースより Debian は初めて強制アクセス制御モデル (AppArmor) を追加しました。 、また、 Rust ベースのプログラム Firefox, ripgrep, fd, exa, etc と多大なる Rust のライブラリ群 (計450以上) をを同梱した最初のリリースでもあります。Debian 10 Gnome 版ではディスプレイサーバーに Wayland が Xorg に代わって登場し単純で現代的なデザインを提供でき、セキュリティ上も有利になりました。 UEFI(「Unified Extensible Firemware Interface」) のサポートは Debian 7 で開始されましたが 10 では大幅に改良され、i386, amd64 と arm64 ではほぼすべてのマシンでセキュアブートが設定なしに使えるようになりました。

Debian 10 は i386, amd64, armel と armhf アーキテクチャで 2024年6月まで長期サポート (LTS) が行われました。

Debian 11 Bullseye (2021年8月14日): Toy Story 2 で登場した Woody のおもちゃの木馬から名付けられました。

このリリースは、 11,294 個の新しいパッケージを含む、合計 59,551 個のパッケージから成り立っています、それも、「旧式化」した 9,519 個のパッケージを削除した後の数字です。 42,821 個のパッケージが更新され、5,434 個は変更されませんでした。

Debian 11 はドライバなしの印刷やベンダー由来のドライバなしのスキャンなどを可能にし、exFAT ファイルシステムをサポートするカーネルを搭載しました。 Mipsアーキテクチャがサポートされなくなり、32-bit 用の mipsel (リトリエンディアン)と 64-bit 用の mipsel64el リトルエンディアンハードウェアは継続されました。

Debian 医療チームは、COVID-19 との戦いにウイルスの配列を研究するソフトと疫学で使用される対パンデミック用のツールのパッケージ化に取り組みました。 この取り組みは機械学習の分野でも継続しています。

Debian 12 Bookworm (2023年6月10日): Toy Story 3 で登場した緑色のおもちゃの虫と内蔵懐中電灯から名付けられました。

このリリースは、 11,089 個の新しいパッケージを含む、合計 64,419 個のパッケージから成り立っています、「旧式化」した 6,296 個のパッケージを削除され、43,254 個のパッケージが更新されました。Bookworm の使用ディスク容量は、 365,016,420 kB (365 GB) で 1,341,564,204 行のコードで成り立っています。

次の 2022 一般決議 で Debian 社会契約における non-free-firmwareに調整が行われ、non-free パッケージと non-free firmware を分割し追加することとなりました。 Non-free firmware パッケージのほとんどは non-free から non-free-firmware に移されました。この分割の目的は、インストールを行う際に多様なイメージを作成するためです。結果、 Debian を多種多様な機種に公式インストーラーで簡単にインストールできるようになりました。

全部で9つのアーキテクチャが公式に bookworm でサポートされました。

Debian クラウドチームは、bookworm を3つのクラウドコンピューティングサービスに提供しました。

buster や bullseye を bookworm にアップグレードする際、非 merged-usr 環境では、root ファイルシステムが正常にレイアウトを更新できず、merged-usr[1] は、サポートから外れていました。このバグBug#978636 (Feb 2021) を 技術委員会がアップグレード中にレイアウトを更新するよう修正ししました。

Debian セキュリティチームと Debian 長期サポートチームの共同作業のおかげで、bookworm は、4つのアーキテクチャをリリースから5年後の2028年6月までサポートすることとなりました。

Debian 13 Trixie (2024年8月のtestingディストリビューション): Toy Story 3 で登場した青いトリケラトプスから名付けられました。

[1] usr-merge (または、merged-usr や `/usr`-move) は、ファイルシステムの配置で、伝統的な unix ディレクトリの `/bin`, `/sbin`, `/lib` and `/lib64` 等は、`/usr` 内にシンボリックリンクを移しました。例えば、`/bin` は `/usr/bin` にシンボリックリンクとして移動しました。 2012年に、 usr-merge は Fedora や Ubuntu で実現されました。詳しくは User Merge について や Bookworm リリースノート をご覧ください。

第2章 プロジェクトリーダー |  | 第4章 詳細な歴史